# class Preloader

#### package lime.app

#### extended by Preloader

Available on all platforms

### Constructor

###

`new ()`

### Variables

###

`read onlycomplete:Bool`

###

`onComplete:Event<Void ‑> Void> = new Event<Void>()`

###

`onProgress:Event<Int ‑> Int ‑> Void> = new Event<Int -> Int>()`

### Methods

###

`addLibrary (library:AssetLibrary):Void`

###

`addLibraryName (name:String):Void`

###

`create (config:Config):Void`

###

`load ():Void`